# Diseño y programación orientada a objetos. Elementos y componentes software: objetos, clases, herencia, métodos, sobrecarga. Ventajas e inconvenientes. Patrones de diseño y lenguaje de modelado unificado (UML).

## POO
-Herencia
-Polimorfismo
-Acoplamiento

## Patrones 
- MVC
- GRASP
  - Controller
  - Low Coupling (bajo acoplamiento)
  - High Cohesion (Alta cohesión)
  - Polymorphism (Polimorfismo)
  
## UML (Lenguaje de modelado unificado)
- Diagrama de clase
- Diagrama de objetos (instancia de una clase)
- Diagrama de componentes (servicio web, ejecutable, libreria, etc)
- Diagrama de paquetes
- Diagrama de despliegue
  - Nodos
  - Artefactos (librerias, bases de datos)
  - Conexiones
- Diagrama de casos de uso
- Diagrama de actividades
- Diagrama de comunicación
- Diagrama de Gantt
